summaryrefslogtreecommitdiffstats
path: root/test/name-test/run-test.sh
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2008-05-30 16:53:35 -0400
committerColin Walters <walters@verbum.org>2008-05-30 16:53:35 -0400
commita73a79a155e97a3bd0d3ce5001ca6b9db803eeeb (patch)
treef1c3baeb481bcc0f485a7f9371f1fdc43f0efe08 /test/name-test/run-test.sh
parent9d8989cfec02e6ca41f8ffa0ccda16c93ddcb23c (diff)
Add noinst convenience test library, add a test-shutdown
* test/Makefile.am: New convenience library libdbus_testutils_la. Reorder build so that test/ gets built before test/name-test so name-test files can depend on it. * test/name-test/test-shutdown.c: New file, exercises dbus_shutdown () a bit. * test/name-test/run-test.sh Run test-shutdown. * test/test-utils.h: In some cases we already have DBUS_COMPILATION defined, avoid double definition warning.
Diffstat (limited to 'test/name-test/run-test.sh')
-rwxr-xr-xtest/name-test/run-test.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
index 5d9c584a..d466b815 100755
--- a/test/name-test/run-test.sh
+++ b/test/name-test/run-test.sh
@@ -36,3 +36,6 @@ ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-
echo "running test-threads-init"
${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-threads-init || die "test-threads-init failed"
+
+echo "running test-shutdown"
+${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-shutdown || die "test-shutdown failed"